1. REST
CallerAPI Documentation
  • Quickstart
  • Use cases
    • For carriers (MNOs/MVNOs)
    • CPaaS platforms
    • Cloud communications providers
    • SIP trunking providers
    • PBX/Cloud PBX
    • UCaaS vendors
  • Account
    • Balance and email
      GET
  • Spam protection
    • Voice firewall
      • Get started
      • Quickstart
        • What you get
        • Before you start
        • Test with a recording
        • Connect your switch
        • Switch notes
        • Twilio and Telnyx
        • Send text instead of audio
      • Verdicts
        • Read a verdict
        • What to do with a verdict
        • Block a caller
        • Events and webhooks
      • Honeypot
        • Hand a call over
        • Audio, events, and limits
      • Reference
        • Endpoints
        • Errors
        • Limits and thresholds
        • Production checklist
      • REST
        • What this deployment can do
        • List the verdict categories
        • List the honeypot personas
        • Score a transcript or a recording
        • List your recent sessions
        • Get one session with verdict and intel
        • Twilio voice URL for a screened number
        • Preview the Twilio TwiML
        • Telnyx voice URL for a screened number
        • Twilio voice URL for a honeypot number
        • Telnyx voice URL for a honeypot number
      • WebSocket
        • Live scam filter stream
        • Honeypot stream
    • Daily spam reports
      • Webhook
        • Subscribe to daily reports
        • Unsubscribe from daily reports
        • List webhook subscriptions
        • Manual dispatch of reports
        • Test webhook
      • REST
        • Fetch daily spam reports
          GET
    • 15 days spam CSV snapshot
      GET
    • Spam score + HLR
      GET
  • Mobile SDK
    • Get started
    • Quickstart
      • What you get
      • Get your keys
      • Android
      • iOS
      • Flutter
      • React Native
      • Check it works
    • Call screening
      • What each platform can do
      • Android call screening
      • iOS prerequisites
      • iOS add the extension
      • iOS test on device
    • Reference
      • Methods
      • Errors
      • Limits and billing
      • Troubleshooting
  • Data partners
    • Partner tems & docs
    • Upload spam reports
      POST
    • Upload contacts
      POST
  • Fraud prevention
    • Ported date
      GET
    • Porting history
      GET
    • Online presence
      GET
    • KYC user identity
      POST
  • Business Caller ID
    • Get started
    • Quickstart
      • Announce a call
      • Verify at INVITE
      • What you get
    • Verdicts
      • Show the name and logo
      • Read a verdict
    • REST
      • Verify the calling number
      • Fetch the logo
      • Announce a call
  • Signer reputation by SPC
    GET
  • Signers ranked by score
    GET
  • Schemas
    • Spam protection
      • Spam score request
      • Business info
      • Carrier info
      • Complaint (without number)
      • Daily spam reports request
      • Complaint (with phone)
    • Signer
  1. REST

Fetch daily spam reports

GET
/api/spam-reports/daily/{country_code}
INFO
This endpoint is only available to special enterprise clients, schedule a meeting to discuss the pricing
Fetch the daily spam reports we have collected from multiple sources and validated with our algorhitms and validation team
This endpoint is designed for carriers, telcos and platforms processing over 3 million calls a month, so they can save on volume and cache the data locally
Pricing on this endpoint is flat, no pay-per-request, so you can get a predictable, fixed cost, while retaining all the benefits of the API

Request

Authorization
API Key
Add parameter in header
x-auth
Example:
x-auth: ********************
or
Path Params

Query Params

Responses

🟢200OK
application/json
Bodyapplication/json

🟠401Unauthorized
🟠403Upgrade required
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.callerapi.com/api/spam-reports/daily/US?page=1&page_size=1000' \
--header 'x-auth: <api-key>'
Response Response Example
200 - Daily reports (truncated to 2 instead of 500)
{
    "data": {
        "complaints": [
            {
                "PhoneNumber": "+13072699147",
                "CreatedDate": "2025-08-05T01:03:54Z",
                "ViolationDate": "2025-09-04T13:01:00Z",
                "ConsumerState": "Wyoming",
                "Subject": "Other",
                "RecordedMessageOrRobocall": "Y",
                "Comment": "",
                "TxID": "MMoO6wP5rGb3jfLohhCcjA"
            },
            {
                "PhoneNumber": "+16892090312",
                "CreatedDate": "2025-08-05T22:17:40Z",
                "ViolationDate": "2025-08-05T22:16:00Z",
                "ConsumerState": "Kentucky",
                "Subject": "Other",
                "RecordedMessageOrRobocall": "N",
                "Comment": "Silent call",
                "TxID": "jOiSuyqTlsndUjYwAdAOZA"
            }
        ],
        "date": "06/08/2025",
        "next_update": 1754571630,
        "next_update_in": 67171.961994378,
        "page": 1,
        "page_size": 500,
        "total": 18828
    },
    "status": "success"
}
Modified at 2026-06-20 23:36:33
Previous
Test webhook
Next
15 days spam CSV snapshot
Built with